SET FEEDBACK OFF

--
-- Delete any entries for Query: DiskForHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskForHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskForHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskForHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskForHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskForHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskForHostSRR';

--
-- Disks For Host SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskForHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForHostSRR',1,'','T',6,'''esm.page.subreport.assetname.disks''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForHostSRR',2,'','T',6,'COUNT(UNIQUE dd.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForHostSRR',3,'dd.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForHostSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForHostSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForHostSRR',6,'','T',6,'''esm.common.assettype.disk''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForHostSRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForHostSRR','StorEdge_RM_PathToDisk','ptd','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForHostSRR','','ptdassoc','','dd','F','ESMObjectPath','','ptd','F','PartComponent');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForHostSRR','1','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForHostSRR','2','ptd.GroupComponent','=',null,'','AND','HostESMOP',3);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForHostSRR','3','ptd.GroupComponent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: FSForHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='FSForHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='FSForHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='FSForHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='FSForHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='FSForHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='FSForHostSRR';

--
-- FileSystems for Host SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','FSForHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FSForHostSRR',1,'','T',6,'''esm.page.subreport.assetname.filesystems''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FSForHostSRR',2,'','T',6,'COUNT(UNIQUE fs.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FSForHostSRR',3,'fs.FileSystemSize','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FSForHostSRR',4,'fs.AvailableSpace','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FSForHostSRR',5,'','T',6,'(SUM(fs.FileSystemSize) - SUM(fs.AvailableSpace)) / DECODE(SUM(fs.FileSystemSize), 0, null, SUM(fs.FileSystemSize))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FSForHostSRR',6,'','T',6,'''esm.common.assettype.filesystem''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FSForHostSRR','StorEdge_RM_UnixLocalFileSystem','fs','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FSForHostSRR','CIM_HostedFileSystem','hfs','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','FSForHostSRR','','hfsassoc','','hfs','F','PartComponent','','fs','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','FSForHostSRR','1','fs.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','FSForHostSRR','2','hfs.GroupComponent','=',null,'','AND','HostESMOP',3);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','FSForHostSRR','3','hfs.GroupComponent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: VolumeForHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeForHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeForHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeForHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeForHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeForHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeForHostSRR';

--
-- Volumes for Host SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeForHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForHostSRR',1,'','T',6,'''esm.page.subreport.assetname.volumes''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForHostSRR',2,'','T',6,'COUNT(UNIQUE sv.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForHostSRR',3,'sv.TotalStorage','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForHostSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForHostSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForHostSRR',6,'','T',6,'''esm.common.assettype.volume''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForHostSRR','StorEdge_RM_StorageVolume','sv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForHostSRR','CIM_SystemDevice','sdsv','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VolumeForHostSRR','','sdsvsassoc','','sdsv','F','PartComponent','','sv','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForHostSRR','1','sv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForHostSRR','2','sdsv.GroupComponent','=',null,'','AND','HostESMOP',3);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForHostSRR','3','sdsv.GroupComponent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: VolumeGroupForHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeGroupForHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeGroupForHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeGroupForHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeGroupForHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeGroupForHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeGroupForHostSRR';

--
-- VolumeGroups for Host SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeGroupForHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForHostSRR',1,'','T',6,'''esm.page.subreport.assetname.volumegroups''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForHostSRR',2,'','T',6,'COUNT(UNIQUE dg.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForHostSRR',3,'dg.TotalStorage','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForHostSRR',4,'dg.AvailableStorage','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForHostSRR',5,'','T',6,'SUM(dg.TotalStorage - dg.AvailableStorage) / DECODE(SUM(dg.TotalStorage), 0, null, SUM(dg.TotalStorage))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForHostSRR',6,'','T',6,'''esm.common.assettype.volumegroup''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeGroupForHostSRR','StorEdge_RM_VMDiskGroup','dg','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeGroupForHostSRR','StorEdge_RM_SystemDiskGroup','sdg','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VolumeGroupForHostSRR','','sdgassoc','','sdg','F','PartComponent','','dg','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeGroupForHostSRR','1','dg.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeGroupForHostSRR','2','sdg.GroupComponent','=',null,'','AND','HostESMOP',3);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeGroupForHostSRR','3','sdg.GroupComponent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: ShareForHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='ShareForHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='ShareForHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='ShareForHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='ShareForHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='ShareForHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='ShareForHostSRR';

--
-- Shares for Host SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','ShareForHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ShareForHostSRR',1,'','T',6,'''esm.page.subreport.assetname.shares''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ShareForHostSRR',2,'','T',6,'COUNT(UNIQUE sb.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ShareForHostSRR',3,'','T',6,'-9E-21','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ShareForHostSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ShareForHostSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ShareForHostSRR',6,'','T',6,'''esm.common.assettype.exportedshare''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ShareForHostSRR','StorEdge_RM_FileShare','sb','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ShareForHostSRR','CIM_HostedShare','hs','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','ShareForHostSRR','','hsassoc','','hs','F','Dependent','','sb','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','ShareForHostSRR','1','hs.Antecedent','=',null,'','AND','HostESMOP',3);

--
-- Delete any entries for Query: DatabaseForHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DatabaseForHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DatabaseForHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DatabaseForHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DatabaseForHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DatabaseForHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DatabaseForHostSRR';

--
-- Databases for Host SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DatabaseForHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseForHostSRR',1,'','T',6,'''esm.page.subreport.assetname.databases''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseForHostSRR',2,'','T',6,'COUNT(UNIQUE dbb.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseForHostSRR',3,'dbf.FileSize','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseForHostSRR',4,'dbf.AvailableSpace','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseForHostSRR',5,'','T',6,'SUM(dbf.FileSize - dbf.AvailableSpace) / DECODE(SUM(dbf.FileSize),0, null, SUM(dbf.FileSize))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseForHostSRR',6,'','T',6,'''esm.common.assettype.dbserver''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseForHostSRR','StorEdge_RM_OracleDatabaseService','dbs','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseForHostSRR','StorEdge_RM_CommonDatabase','cd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseForHostSRR','StorEdge_RM_OracleDBFile','dbf','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseForHostSRR','StorEdge_RM_OracleDatabaseSystem','dbb','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseForHostSRR','CIM_HostedService','hsrvc','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DatabaseForHostSRR','','assoc1','','hsrvc','F','Dependent','','dbs','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DatabaseForHostSRR','CIM_ServiceAvailableToDatabase','satd','ServiceProvided','dbs','F','ESMObjectPath','UserOfService','cd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DatabaseForHostSRR','CIM_AssociatedDatabaseSystem','ads','Dependent','cd','F','ESMObjectPath','Antecedent','dbb','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DatabaseForHostSRR','StorEdge_RM_AssociatedDatabaseFile','adf','GroupComponent','cd','F','ESMObjectPath','PartComponent','dbf','T','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DatabaseForHostSRR','1','dbb.ManagementState','IN',null,'1,2,3','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DatabaseForHostSRR','2','hsrvc.Antecedent','=',null,'','AND','HostESMOP',3);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DatabaseForHostSRR','3','hsrvc.Antecedent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: LunMapForHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='LunMapForHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='LunMapForHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='LunMapForHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='LunMapForHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='LunMapForHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='LunMapForHostSRR';

--
-- Luns for Array SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','LunMapForHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunMapForHostSRR',1,'','T',6,'''esm.page.subreport.reportname.lunmap''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunMapForHostSRR',2,'','T',6,'COUNT(UNIQUE dd.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunMapForHostSRR',3,'dd.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunMapForHostSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunMapForHostSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunMapForHostSRR',6,'','F',6,'''esm.common.reporttype.lunmap''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunMapForHostSRR','RM_LogicalVolume','lv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunMapForHostSRR','CIM_SystemDevice','sd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunMapForHostSRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunMapForHostSRR','StorEdge_RM_PathToDisk','ptd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunMapForHostSRR','RM_StorageArray','sa','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','LunMapForHostSRR','','ptdassoc','','dd','F','ESMObjectPath','','ptd','F','PartComponent');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','LunMapForHostSRR','CIM_MediaPresent','mp','Antecedent','lv','F','ESMObjectPath','Dependent','dd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','LunMapForHostSRR','','sdassoc','','lv','F','ESMObjectPath','','sd','F','PartComponent');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','LunMapForHostSRR','','sdassoc1','','sa','F','ESMObjectPath','','sd','F','GroupComponent');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','LunMapForHostSRR','1','lv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','LunMapForHostSRR','2','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','LunMapForHostSRR','3','ptd.GroupComponent','=',null,'','AND','HostESMOP',3);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','LunMapForHostSRR','4','ptd.GroupComponent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: HostSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='HostSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='HostSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='HostSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='HostSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='HostSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='HostSubReport';

--
-- Host SubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','HostSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','HostSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','HostSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','HostSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','HostSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','HostSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','HostSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','HostSubReport','FSForHostSRR','t1','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','HostSubReport','VolumeForHostSRR','t2','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','HostSubReport','VolumeGroupForHostSRR','t3','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','HostSubReport','DiskForHostSRR','t4','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','HostSubReport','ShareForHostSRR','t5','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','HostSubReport','LunMapForHostSRR','t6','F','2');

--
-- Delete any entries for Query: ClusterMemberSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='ClusterMemberSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='ClusterMemberSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='ClusterMemberSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='ClusterMemberSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='ClusterMemberSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='ClusterMemberSRR';

--
-- Cluster Members SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','ClusterMemberSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterMemberSRR',1,'','T',6,'''esm.page.subreport.assetname.clustermembers''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterMemberSRR',2,'','T',6,'COUNT(UNIQUE ucs.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterMemberSRR',3,'fs.FileSystemSize','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterMemberSRR',4,'fs.AvailableSpace','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterMemberSRR',5,'','T',6,'SUM(fs.UsedSpace) / DECODE(SUM(fs.FileSystemSize), 0, null, SUM(fs.FileSystemSize))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterMemberSRR',6,'','T',6,'''esm.common.assettype.clustermember''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterMemberSRR','StorEdge_RM_UnitaryComputerSystem','ucs','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterMemberSRR','CIM_ParticipatingCS','pcs','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterMemberSRR','StorEdge_RM_UnixLocalFileSystem','fs','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','ClusterMemberSRR','','pcsassoc','','pcs','F','Antecedent','','ucs','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','ClusterMemberSRR','CIM_HostedFileSystem','hfs','GroupComponent','ucs','F','ESMObjectPath','PartComponent','fs','T','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','ClusterMemberSRR','1','ucs.ManagementState','IN',null,'1,2,3','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','ClusterMemberSRR','2','pcs.Dependent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: VirtualHostSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VirtualHostSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VirtualHostSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VirtualHostSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VirtualHostSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VirtualHostSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VirtualHostSRR';

--
-- Virtual Host SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VirtualHostSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VirtualHostSRR',1,'','T',6,'''esm.page.subreport.assetname.virtualhosts''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VirtualHostSRR',2,'','T',6,'COUNT(UNIQUE vcs.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VirtualHostSRR',3,'fs.FileSystemSize','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VirtualHostSRR',4,'fs.AvailableSpace','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VirtualHostSRR',5,'','T',6,'SUM(fs.UsedSpace) / DECODE(SUM(fs.FileSystemSize), 0, null, SUM(fs.FileSystemSize))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VirtualHostSRR',6,'','T',6,'''esm.common.assettype.virtualhost''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VirtualHostSRR','StorEdge_RM_VirtualComputerSystem','vcs','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VirtualHostSRR','CIM_HostingCS','hcs','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VirtualHostSRR','StorEdge_RM_UnixLocalFileSystem','fs','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VirtualHostSRR','','hcsassoc','','hcs','F','Dependent','','vcs','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VirtualHostSRR','CIM_HostedFileSystem','hfs','GroupComponent','vcs','F','ESMObjectPath','PartComponent','fs','T','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VirtualHostSRR','1','vcs.ManagementState','IN',null,'1,2,3','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VirtualHostSRR','2','hcs.Antecedent','=',null,'','AND','ClusterESMOP',3);

--
-- Delete any entries for Query: ClusterSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='ClusterSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='ClusterSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='ClusterSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='ClusterSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='ClusterSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='ClusterSubReport';

--
-- Cluster SubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','ClusterSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ClusterSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterSubReport','VirtualHostSRR','t1','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterSubReport','ClusterMemberSRR','t2','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterSubReport','FSForHostSRR','t3','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterSubReport','VolumeForHostSRR','t4','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterSubReport','VolumeGroupForHostSRR','t5','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterSubReport','DiskForHostSRR','t6','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ClusterSubReport','LunMapForHostSRR','t7','F','2');

--
-- Delete any entries for Query: LunForArraySRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='LunForArraySRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='LunForArraySRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='LunForArraySRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='LunForArraySRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='LunForArraySRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='LunForArraySRR';

--
-- Luns for Array SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','LunForArraySRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunForArraySRR',1,'','T',6,'''esm.page.subreport.assetname.luns''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunForArraySRR',2,'','T',6,'COUNT(UNIQUE lv.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunForArraySRR',3,'lv.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunForArraySRR',4,'','F',6,'''esm.common.assettype.lun''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunForArraySRR','RM_LogicalVolume','lv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunForArraySRR','CIM_SystemDevice','sd','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','LunForArraySRR','','sdassoc','','sd','F','PartComponent','','lv','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','LunForArraySRR','1','lv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','LunForArraySRR','2','sd.GroupComponent','=',null,'','AND','ArrayESMOP',3);

--
-- Delete any entries for Query: DiskMapForArraySRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskMapForArraySRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskMapForArraySRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskMapForArraySRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskMapForArraySRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskMapForArraySRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskMapForArraySRR';

--
-- Disks For Array SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskMapForArraySRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForArraySRR',1,'','T',6,'''esm.page.subreport.reportname.diskmap''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForArraySRR',2,'','T',6,'COUNT(UNIQUE lv.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForArraySRR',3,'lv.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForArraySRR',4,'','F',6,'''esm.common.reporttype.diskmap''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForArraySRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForArraySRR','StorEdge_RM_LogicalVolume','lv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForArraySRR','CIM_SystemDevice','sd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForArraySRR','System','s','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskMapForArraySRR','','sdassoc','','sd','F','PartComponent','','lv','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskMapForArraySRR','CIM_MediaPresent','mp','Antecedent','lv','F','ESMObjectPath','Dependent','dd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskMapForArraySRR','StorEdge_RM_PathToDisk','ptd','PartComponent','dd','F','ESMObjectPath','GroupComponent','s','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskMapForArraySRR','1','lv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskMapForArraySRR','2','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskMapForArraySRR','3',' ','NOT EXISTS',null,'SELECT pcs.antecedent FROM CIM_ParticipatingCSS pcs, RM_Clusters cl, RM_PathToDisk ptd1 WHERE pcs.dependent =cl.esm_object_path AND dd.esm_object_path = ptd1.PartComponent AND ptd1.GroupComponent =cl.esm_object_path AND pcs.antecedent=s.esm_object_path','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskMapForArraySRR','4','sd.GroupComponent','=',null,'','AND','ArrayESMOP',3);

--
-- Delete any entries for Query: ArraySubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='ArraySubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='ArraySubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='ArraySubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='ArraySubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='ArraySubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='ArraySubReport';

--
-- Arrays SubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','ArraySubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ArraySubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ArraySubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ArraySubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','ArraySubReport',4,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ArraySubReport','LunForArraySRR','t1','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','ArraySubReport','DiskMapForArraySRR','t2','F','2');

--
-- Delete any entries for Query: DatabaseFileSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DatabaseFileSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DatabaseFileSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DatabaseFileSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DatabaseFileSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DatabaseFileSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DatabaseFileSRR';

--
-- Database File SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DatabaseFileSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseFileSRR',1,'','T',6,'''esm.page.subreport.assetname.databasefiles''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseFileSRR',2,'','T',6,'COUNT(UNIQUE dbf.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseFileSRR',3,'dbf.FileSize','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseFileSRR',4,'dbf.AvailableSpace','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseFileSRR',5,'','T',6,'SUM(dbf.FileSize - dbf.AvailableSpace) / DECODE(SUM(dbf.FileSize), 0, null, SUM(dbf.FileSize))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseFileSRR',6,'','T',6,'''esm.common.assettype.databasefile''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseFileSRR','StorEdge_RM_OracleDBFile','dbf','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseFileSRR','StorEdge_RM_CommonDatabase','cd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseFileSRR','CIM_AssociatedDatabaseSystem','ads','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DatabaseFileSRR','StorEdge_RM_AssociatedDatabaseFile','adf','PartComponent','dbf','F','ESMObjectPath','GroupComponent','cd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DatabaseFileSRR','','adsassoc','','ads','F','Dependent','','cd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DatabaseFileSRR','1','dbf.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DatabaseFileSRR','2','ads.Antecedent','=',null,'','AND','DBServerESMOP',3);

--
-- Delete any entries for Query: DatabaseSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DatabaseSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DatabaseSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DatabaseSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DatabaseSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DatabaseSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DatabaseSubReport';

--
-- Database SubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DatabaseSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DatabaseSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DatabaseSubReport','DatabaseFileSRR','t1','F','2');

--
-- Delete any entries for Query: DiskForVolumeSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskForVolumeSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskForVolumeSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskForVolumeSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskForVolumeSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskForVolumeSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskForVolumeSRR';

--
-- DiskForVolumeSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskForVolumeSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeSRR',1,'','T',6,'''esm.page.subreport.assetname.disks''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeSRR',2,'','T',6,'COUNT(UNIQUE dd.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeSRR',3,'dd.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeSRR',6,'','T',6,'''esm.common.assettype.disk''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForVolumeSRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForVolumeSRR','CIM_BasedOn','bo','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForVolumeSRR','StorEdge_RM_DiskPartition','dp','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForVolumeSRR','CIM_Component','c','GroupComponent','dd','F','ESMObjectPath','PartComponent','dp','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForVolumeSRR','','boassoc','','bo','F','Antecedent','','dp','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForVolumeSRR','1','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForVolumeSRR','2','bo.Dependent','=',null,'','AND','VolumeESMOP',3);

--
-- Delete any entries for Query: VolumeSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeSubReport';

--
-- VolumeSubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeSubReport','DiskForVolumeSRR','t1','F','2');

--
-- Delete any entries for Query: DiskForVolumeGroupSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskForVolumeGroupSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskForVolumeGroupSRR';

--
-- DiskForVolumeGroupSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskForVolumeGroupSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeGroupSRR',1,'','T',6,'''esm.page.subreport.assetname.disks''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeGroupSRR',2,'','T',6,'COUNT(UNIQUE dd.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeGroupSRR',3,'dd.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeGroupSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeGroupSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForVolumeGroupSRR',6,'','T',6,'''esm.common.assettype.disk''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForVolumeGroupSRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForVolumeGroupSRR','CIM_DriveInDiskGroup','didg','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForVolumeGroupSRR','','didgassoc','','didg','F','Member','','dd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForVolumeGroupSRR','1','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForVolumeGroupSRR','2','didg.Collection','=',null,'','AND','VolumeGroupESMOP',3);

--
-- Delete any entries for Query: VolumeForVolumeGroupSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeForVolumeGroupSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeForVolumeGroupSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeForVolumeGroupSRR';

--
-- VolumeForVolumeGroupSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeForVolumeGroupSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForVolumeGroupSRR',1,'','T',6,'''esm.page.subreport.assetname.volumes''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForVolumeGroupSRR',2,'','T',6,'COUNT(UNIQUE sv.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForVolumeGroupSRR',3,'sv.TotalStorage','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForVolumeGroupSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForVolumeGroupSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForVolumeGroupSRR',6,'','T',6,'''esm.common.assettype.volume''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForVolumeGroupSRR','StorEdge_RM_StorageVolume','sv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForVolumeGroupSRR','CIM_ExtentInDiskGroup','eidg','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VolumeForVolumeGroupSRR','','eidgassoc','','eidg','F','Member','','sv','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForVolumeGroupSRR','1','sv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForVolumeGroupSRR','2','eidg.Collection','=',null,'','AND','VolumeGroupESMOP',3);

--
-- Delete any entries for Query: VolumeGroupSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeGroupSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeGroupSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeGroupSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeGroupSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeGroupSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeGroupSubReport';

--
-- VolumeGroupSubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeGroupSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeGroupSubReport','DiskForVolumeGroupSRR','t1','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeGroupSubReport','VolumeForVolumeGroupSRR','t2','F','2');

--
-- Delete any entries for Query: DiskForFileSystemSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskForFileSystemSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskForFileSystemSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskForFileSystemSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskForFileSystemSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskForFileSystemSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskForFileSystemSRR';

--
-- DiskForFileSystemSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskForFileSystemSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForFileSystemSRR',1,'','T',6,'''esm.page.subreport.assetname.disks''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForFileSystemSRR',2,'','T',6,'COUNT(UNIQUE dd.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForFileSystemSRR',3,'dd.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForFileSystemSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForFileSystemSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForFileSystemSRR',6,'','T',6,'''esm.common.assettype.disk''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForFileSystemSRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForFileSystemSRR','StorEdge_RM_DiskPartition','dp','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForFileSystemSRR','StorEdge_RM_StorageVolume','sv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForFileSystemSRR','StorEdge_RM_ResidesOnVolume','rov','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForFileSystemSRR','CIM_Component','c','GroupComponent','dd','F','ESMObjectPath','PartComponent','dp','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForFileSystemSRR','CIM_BasedOn','bo','Antecedent','dp','F','ESMObjectPath','Dependent','sv','T','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForFileSystemSRR','','rovassoc','','rov','F','Antecedent','','sv','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForFileSystemSRR','1','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForFileSystemSRR','2','rov.Dependent','=',null,'','AND','FileSystemESMOP',3);

--
-- Delete any entries for Query: VolumeForFileSystemSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeForFileSystemSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeForFileSystemSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeForFileSystemSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeForFileSystemSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeForFileSystemSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeForFileSystemSRR';

--
-- VolumeForFileSystemSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeForFileSystemSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForFileSystemSRR',1,'','T',6,'''esm.page.subreport.assetname.volumes''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForFileSystemSRR',2,'','T',6,'COUNT(UNIQUE sv.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForFileSystemSRR',3,'sv.TotalStorage','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForFileSystemSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForFileSystemSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForFileSystemSRR',6,'','T',6,'''esm.common.assettype.volume''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForFileSystemSRR','StorEdge_RM_StorageVolume','sv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForFileSystemSRR','StorEdge_RM_ResidesOnVolume','rov','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VolumeForFileSystemSRR','','rovassoc','','rov','F','Antecedent','','sv','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForFileSystemSRR','1','sv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForFileSystemSRR','2','rov.Dependent','=',null,'','AND','FileSystemESMOP',3);

--
-- Delete any entries for Query: FileSystemSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='FileSystemSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='FileSystemSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='FileSystemSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='FileSystemSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='FileSystemSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='FileSystemSubReport';

--
-- FileSystemSubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','FileSystemSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FileSystemSubReport','DiskForFileSystemSRR','t1','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FileSystemSubReport','VolumeForFileSystemSRR','t2','F','2');

--
-- Delete any entries for Query: FileSystemForDiskSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='FileSystemForDiskSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='FileSystemForDiskSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='FileSystemForDiskSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='FileSystemForDiskSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='FileSystemForDiskSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='FileSystemForDiskSRR';

--
-- FileSystemForDiskSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','FileSystemForDiskSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemForDiskSRR',1,'','T',6,'''esm.page.subreport.assetname.filesystems''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemForDiskSRR',2,'','T',6,'COUNT(UNIQUE fs.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemForDiskSRR',3,'fs.FileSystemSize','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemForDiskSRR',4,'fs.AvailableSpace','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemForDiskSRR',5,'','T',6,'(SUM(fs.FileSystemSize) - SUM(fs.AvailableSpace)) / DECODE(SUM(fs.FileSystemSize), 0, null, SUM(fs.FileSystemSize))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','FileSystemForDiskSRR',6,'','T',6,'''esm.common.assettype.filesystem''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FileSystemForDiskSRR','CIM_Component','c','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FileSystemForDiskSRR','StorEdge_RM_DiskPartition','dp','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FileSystemForDiskSRR','StorEdge_RM_StorageVolume','sv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','FileSystemForDiskSRR','StorEdge_RM_UnixLocalFileSystem','fs','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','FileSystemForDiskSRR','CIM_BasedOn','bo','Antecedent','dp','F','ESMObjectPath','Dependent','sv','T','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','FileSystemForDiskSRR','StorEdge_RM_ResidesOnVolume','rov','Antecedent','sv','F','ESMObjectPath','Dependent','fs','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','FileSystemForDiskSRR','','cassoc','','c','F','PartComponent','','dp','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','FileSystemForDiskSRR','1','fs.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','FileSystemForDiskSRR','2','c.GroupComponent','=',null,'','AND','DiskESMOP',3);

--
-- Delete any entries for Query: VolumeForDiskSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeForDiskSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeForDiskSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeForDiskSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeForDiskSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeForDiskSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeForDiskSRR';

--
-- VolumeForDiskSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeForDiskSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForDiskSRR',1,'','T',6,'''esm.page.subreport.assetname.volumes''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForDiskSRR',2,'','T',6,'COUNT(UNIQUE sv.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForDiskSRR',3,'sv.TotalStorage','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForDiskSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForDiskSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeForDiskSRR',6,'','T',6,'''esm.common.assettype.volume''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForDiskSRR','CIM_Component','c','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForDiskSRR','StorEdge_RM_DiskPartition','dp','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeForDiskSRR','StorEdge_RM_StorageVolume','sv','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VolumeForDiskSRR','CIM_BasedOn','bo','Antecedent','dp','F','ESMObjectPath','Dependent','sv','T','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VolumeForDiskSRR','','cassoc','','c','F','PartComponent','','dp','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForDiskSRR','1','sv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeForDiskSRR','2','c.GroupComponent','=',null,'','AND','DiskESMOP',3);

--
-- Delete any entries for Query: VolumeGroupForDiskSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='VolumeGroupForDiskSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='VolumeGroupForDiskSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='VolumeGroupForDiskSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='VolumeGroupForDiskSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='VolumeGroupForDiskSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='VolumeGroupForDiskSRR';

--
-- VolumeGroupForDiskSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','VolumeGroupForDiskSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForDiskSRR',1,'','T',6,'''esm.page.subreport.assetname.volumegroups''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForDiskSRR',2,'','T',6,'COUNT(UNIQUE dg.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForDiskSRR',3,'dg.TotalStorage','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForDiskSRR',4,'dg.AvailableStorage','T',1,'','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForDiskSRR',5,'','T',6,'SUM(dg.TotalStorage - dg.AvailableStorage) / DECODE(SUM(dg.TotalStorage), 0, null, SUM(dg.TotalStorage))','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','VolumeGroupForDiskSRR',6,'','T',6,'''esm.common.assettype.volumegroup''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeGroupForDiskSRR','StorEdge_RM_VMDiskGroup','dg','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','VolumeGroupForDiskSRR','CIM_DriveInDiskGroup','didg','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','VolumeGroupForDiskSRR','','didgassoc','','didg','F','Collection','','dg','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeGroupForDiskSRR','1','dg.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','VolumeGroupForDiskSRR','2','didg.Member','=',null,'','AND','DiskESMOP',3);

--
-- Delete any entries for Query: DiskSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskSubReport';

--
-- DiskSubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskSubReport','FileSystemForDiskSRR','t1','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskSubReport','VolumeForDiskSRR','t2','F','2');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskSubReport','VolumeGroupForDiskSRR','t3','F','2');

--
-- Delete any entries for Query: DiskMapForLunSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskMapForLunSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskMapForLunSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskMapForLunSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskMapForLunSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskMapForLunSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskMapForLunSRR';

--
-- Disks For Array SRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskMapForLunSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForLunSRR',1,'','T',6,'''esm.page.subreport.reportname.diskmap''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForLunSRR',2,'','T',6,'CASE WHEN COUNT(UNIQUE lv.esm_object_path) > 0 THEN 1 ELSE 0 END','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForLunSRR',3,'','T',6,'-9E-21','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskMapForLunSRR',4,'','F',6,'''esm.common.reporttype.avdiskmap''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForLunSRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForLunSRR','StorEdge_RM_LogicalVolume','lv','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForLunSRR','System','s','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskMapForLunSRR','CIM_MediaPresent','mp','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskMapForLunSRR','','mpassoc','','mp','F','Dependent','','dd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskMapForLunSRR','StorEdge_RM_PathToDisk','ptd','PartComponent','dd','F','ESMObjectPath','GroupComponent','s','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskMapForLunSRR','1','lv.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskMapForLunSRR','2','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskMapForLunSRR','3','mp.Antecedent','=',null,'','AND','LunESMOP',3);

--
-- Delete any entries for Query: DiskForLunSRR 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='DiskForLunSRR';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='DiskForLunSRR';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='DiskForLunSRR';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='DiskForLunSRR';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='DiskForLunSRR';
DELETE FROM StorEdge_RM_Criterion WHERE Name='DiskForLunSRR';

--
-- DiskForLunSRR
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','DiskForLunSRR','SubReportRow','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForLunSRR',1,'','T',6,'''esm.page.subreport.assetname.disks''','AssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForLunSRR',2,'','T',6,'COUNT(UNIQUE dd.esm_object_path)','Quantity','','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForLunSRR',3,'dd.TotalCapacity','T',1,'','Capacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForLunSRR',4,'','T',6,'-9E-21','AvailableCapacity','','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForLunSRR',5,'','T',6,'-9E-21','PercentCapConsumed','','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','DiskForLunSRR',6,'','T',6,'''esm.common.assettype.disk''','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForLunSRR','StorEdge_RM_DiskDrive','dd','F','0');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','DiskForLunSRR','CIM_MediaPresent','mp','F','0');
INSERT INTO StorEdge_RM_AssocSources (ESM_CLASS_NAME, CriteriaName, AssociationName, Alias, FromAttribute, FromAlias, IsFromOuter, FromIdAttribute, ToAttribute, ToAlias, IsToOuter,ToIdAttribute) VALUES ('StorEdge_RM_AssociationSource','DiskForLunSRR','','mpassoc','','mp','F','Dependent','','dd','F','ESMObjectPath');
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForLunSRR','1','dd.ManagementState','IN',null,'1,2','AND','',0);
INSERT INTO StorEdge_RM_Filters (ESM_CLASS_NAME,CriteriaName,Ordinal,FQAttributeName,Operator,Comparator, CalculationSQL, Conjunction, Name, FilterType) VALUES ('StorEdge_RM_Filter','DiskForLunSRR','2','mp.Antecedent','=',null,'','AND','LunESMOP',3);

--
-- Delete any entries for Query: LunSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='LunSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='LunSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='LunSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='LunSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='LunSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='LunSubReport';

--
-- LunSubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','LunSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','LunSubReport',4,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','LunSubReport','DiskMapForLunSRR','t1','F','2');

--
-- Delete any entries for Query: SwitchSubReport 
--
DELETE FROM StorEdge_RM_Columns WHERE CriteriaName='SwitchSubReport';
DELETE FROM StorEdge_RM_Sources WHERE CriteriaName='SwitchSubReport';
DELETE FROM StorEdge_RM_AssocSources WHERE CriteriaName='SwitchSubReport';
DELETE FROM StorEdge_RM_Filters WHERE CriteriaName='SwitchSubReport';
DELETE FROM StorEdge_RM_Sorts WHERE CriteriaName='SwitchSubReport';
DELETE FROM StorEdge_RM_Criterion WHERE Name='SwitchSubReport';

--
-- SwitchSubReport
--
INSERT INTO StorEdge_RM_Criterion (ESM_CLASS_NAME, Name, Description, Owner, DefaultQuery, FactoryReport, IsCacheable) VALUES ('StorEdge_RM_UIQuery','SwitchSubReport','Sub Report','kcibulskis','F','T','T');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','SwitchSubReport',1,'AssetType','T',0,'','AssetType','esm.page.subreport.column.assettype','SubreportLink',9,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','SwitchSubReport',2,'Quantity','T',0,'','Quantity','esm.page.subreport.column.quantity','SimpleNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','SwitchSubReport',3,'Capacity','T',0,'','Capacity','esm.page.subreport.column.capacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','SwitchSubReport',4,'AvailableCapacity','T',0,'','AvailableCapacity','esm.page.subreport.column.availablecapacity','GBNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','SwitchSubReport',5,'PercentCapConsumed','T',0,'','PercentCapConsumed','esm.page.subreport.column.percentcapacityconsumed','PercentNumberNSClass',7,'F','','F');
INSERT INTO StorEdge_RM_Columns (ESM_CLASS_NAME, CriteriaName, Ordinal, FQAttributeName, IsVisible, Aggregation, CalculationSQL, ColumnAlias, DisplayName, ColumnStyleName, Datatype, IsHistory, AlternateSortColumn, IsSummable) VALUES ('StorEdge_RM_UIColumn','SwitchSubReport',6,'esmNavAssetType','F',0,'','esmNavAssetType','','TextStringNSClass',9,'F','','F');
INSERT INTO StorEdge_RM_Sources (ESM_CLASS_NAME,CriteriaName, ObjectName, Alias,GroupingSource, SourceType) VALUES ('StorEdge_RM_Source','SwitchSubReport','NullSubReportRow','t1','F','2');
